# Arkindex API integration

Workers are bound to make request to an Arkindex API instance while processing elements.
Helper methods were designed to help developers stay updated with the latest development on Arkindex. Many endpoints are implemented to facilitate:

- [classification](classification.md) operations
- [dataset](dataset.md) operations
- [element](element.md) operations
- [entity](entity.md) operations
- [metadata](metadata.md) operations
- [task](task.md) operations
- [Machine Learning models training](training.md)
- [transcription](transcription.md) operations
- [worker_version](worker_version.md) operations
